<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/city.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	
	$city = new City($db);
	$data = json_decode(file_get_contents("php://input"));
	
	$stmt = $city->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){	
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail = array(
				"id" => (int) $id,
				"name" => $name,
				"code" => $code,
				"location" =>  $location,
				"invoice_remark" => $invoice_remark,
				"profile_picture" => ($profile_picture)?$profile_picture:'dummy_user.png',
			    "smart_key" => $smart_key,
				"olt_id" => $olt_id
			);	
			array_push($arr["records"], $detail);
		}	
	}
	echo json_encode($arr);
?>